
Infrastructure - Bug #4263

ONEMercury rending issue on Firefox

2014-02-11 23:53 - Amber Budden

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version:    

Description

Reported by Ethan White via twitter 2/11/14

See: http://t.co/me5NWL4nU9

Related issues:

Related to Infrastructure - Story #4461: CCI 1.2.6 Feature Release Closed 2014-03-19 2014-05-10

History

#1 - 2014-02-12 01:10 - Dave Vieglais

- Milestone set to None

- Project changed from Operations to Infrastructure

- Category set to d1_mercury

- Assignee changed from Dave Vieglais to Skye Roseboom

Skye - reassigning to you to take a look at.  Details are pretty thin, can't even tell what browser it is or OS. Looks like firefox. Perhaps on Linux?

#2 - 2014-02-12 16:17 - Chris Jones

- File dataone_firefox.png added

Adding Ethan's email below.  Looks like an issue with FF on Linux.  Works fine on FF 26.0 on Mac.

On Feb 12, 2014, at 8:52 AM, Ethan White ethan@weecology.org wrote:

OS: Ubuntu 13.10

Browser: Firefox 26.0 and Firefox 27.0

Issue: On the Mercury homepage several of the search boxes extend past

the center of the page onto the background. Screen shot attached.

#3 - 2014-02-27 22:31 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2014-02-27 22:33 - Skye Roseboom

- Status changed from In Progress to Testing

Turns out new FF uses some chrome app default CSS which says to use the system default font size for inputs, selects, buttons, etc.  This caused
formatting problems in layout on input forms due to large font.

Cleaned up some css layout and set font-size attribute for inputs, selects, buttons to be 100% (a concrete setting to use the page defined font size,

instead of the (OS) system defined default font size.

Testing in:

Ubuntu 12.05 FireFox 27

Windows IE7 and Firefox

OSX - Chrome, Firefox, Safari

Need to assign issue to a release for distribution into production environment.

#5 - 2014-05-01 02:19 - Skye Roseboom

- Status changed from Testing to Closed

Tested with FF 27 on Ubuntu 12 against cn-sandbox-unm-1 running CCI 1.2.6 release branch.   Verified forms rendering at expected widths.

Ready for release.
